| Kea 3.0.2-git

http_header.h File Reference
`#include <boost/shared_ptr.hpp>`
`#include <string>`
Include dependency graph for http_header.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::http::HostHttpHeader
| Represents HTTP Host header. More...
class | isc::http::HttpHeader
| Represents HTTP header including a header name and value. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::http

## Typedefs
typedef boost::shared_ptr< HostHttpHeader > | isc::http::HostHttpHeaderPtr
| Pointer to the HTTP host header.
typedef boost::shared_ptr< HttpHeader > | isc::http::HttpHeaderPtr
| Pointer to the `HttpHeader` class.